Subject: bug#1111: describe-key's key notation display inconsistency

From: Drew Adams <[email-masked]>
Date: Thu, 8 Aug 2019 08:47:45 -0700 (PDT)

> > When doing a describe-key on C-<backspace>, emacs prints <C-
> > backspace> instead. Similar for any other special key whose macro
> > notation are bracketed by angle brackets. e.g. <down>, <F6>,
> > <return>, <kp-1>, etc. Where, emacs puts the entire thing inside
> > angle brackets instead of the more traditional of modifier
> > followed by dash followed by key name.
> >
> > Although these are identical as far as kbd function is concerned,
> > but wouldn't it be more intuitively consistent by using C-<key>
> > instead of <C-key>?
> 
> Would anyone else want to weigh in on this old wishlist item?  Is this
> a good idea, even if it is very minor, or should we close this as
> wontfix?
> 
> FWIW, I personally don't mind either way.

Dunno whether this is really weighing in, but...

I've said before (not in this thread, most likely)
that I think that the Emacs manuals should use the
exact same notation that Emacs itself uses
interactively.

That means the manuals should use <C-return>, not
C-<return>.  But they don't.

As for "the more traditional": we shouldn't care.
(I don't.)  Emacs should do what is best for Emacs.

The consistency we should look for is local, i.e.,
within Emacs.  Eli has defended the use of the
C-<return> notation in the manuals, so so be it:
we'll continue to live with that inconsistency
(relatively minor) in how Emacs talks about itself.

But at least interactively we should remain
consistent.  And there can be arguments in favor of
the <C-return> notation, even beyond the obvious
one that Emacs has long, long used it, so that
there is now no doubt code that expects and depends
on it.

My vote is not to change from <C-return> to
C-<return>.  (And my vote would be to always use
the former, even in the manuals.)

---

FWIW, I've also argued that we do not need
angle-bracket notation at all.  We can drop it and
still be completely unambiguous and consistent.
(I proposed this long ago, but it was rejected.)

IOW, instead of `C-x M-<delete>' we can use just
`C-x M-delete' - always.

I even have a library, `naked.el', that lets you
optionally get the angle-bracket-less notation,
except for places I can't control(e.g. C code):

https://www.emacswiki.org/emacs/NaKeD